/*
 * Created on 13.02.2004
 *			by Radu Coravu
 */
package ro.raducora.test;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.Vector;

import ro.raducora.utils.encryption.key.StreamEncryptionKey;
import ro.raducora.utils.encryption.key.RC4EncryptionKey;
import ro.raducora.utils.encryption.stream.DecryptedInputStream;
import ro.raducora.utils.encryption.stream.EncryptedOutputStream;

/**
 * @author Radu Coravu
 *  
 */
public class testEncriptionStream {

    /**
     * @param args
     * @throws Exception
     */
    public static void main(String[] args) throws Exception {
        //test if it can decrypr character stringfrom file
        String key = "12345678910";

        StreamEncryptionKey encKey = new RC4EncryptionKey();
        encKey.setKey(key);
        StreamEncryptionKey encKey1 = new RC4EncryptionKey();
        encKey1.setKey(key);
        StreamEncryptionKey decKey1 = new RC4EncryptionKey();
        decKey1.setKey(key);

        //SEND VECTOR OBJECT TO FILE

        Vector vect = new Vector();
        vect.add(new String("Salut1"));
        vect.add(new String("Salut2"));
        vect.add(new String("Salut3"));
        vect.add(new String("Salut4"));
        vect.add(new String("Salut5"));
        vect.add(new String("Salut6"));

        ObjectOutputStream objOut1 = new ObjectOutputStream(
                new EncryptedOutputStream(new FileOutputStream(
                        "test/vector1.enc"), encKey1));

        objOut1.writeObject(vect);
        objOut1.flush();
        objOut1.close();

        //            //encKey.reset();
        //            //encKey.setKey(key);
        vect.add(new String("Salut6"));
        //
        //            ObjectOutputStream objOut2 =
        //                new ObjectOutputStream(
        //                    new EncryptedOutputStream(new FileOutputStream("test/vector2.enc"),
        // encKey));
        //
        //            objOut2.writeObject(vect);
        //            objOut2.flush();
        //            objOut2.close();
        //
        vect.add(new String("Salut7"));
        //
        //            ObjectOutputStream objOut3 =
        //                new ObjectOutputStream(
        //                    new EncryptedOutputStream(new FileOutputStream("test/vector3.enc"),
        // encKey));
        //
        //            objOut3.writeObject(vect);
        //            objOut3.flush();
        //            objOut3.close();

        //            ByteArrayOutputStream str = new ByteArrayOutputStream();
        //
        //            ObjectOutputStream byteOut =
        //                new ObjectOutputStream(new EncryptedOutputStream(str, encKey1));
        //
        //            byteOut.writeObject(vect);
        //            byteOut.flush();
        //
        //            ObjectInputStream byteIn =
        //                new ObjectInputStream(
        //                    new DecryptedInputStream(new
        // ByteArrayInputStream(str.toByteArray()), decKey1));
        //
        //            byteOut.close();
        //
        //            System.out.println(byteIn.readObject());
        //
        //            ByteArrayOutputStream str1 = new ByteArrayOutputStream();
        //
        //            ObjectOutputStream byteOut1 =
        //                new ObjectOutputStream(new EncryptedOutputStream(str1, encKey1));
        //
        //            byteOut1.writeObject(vect);
        //            byteOut1.flush();
        //            //byteOut.close();
        //
        //            ObjectInputStream byteIn1 =
        //                new ObjectInputStream(
        //                    new DecryptedInputStream(
        //                        new ByteArrayInputStream(str1.toByteArray()),
        //                        decKey1));
        //
        //            System.out.println(byteIn1.readObject());

        //        BufferedInputStream inp =
        //            new BufferedInputStream(
        //                new DecryptedInputStream(new FileInputStream("test/encript.enc"),
        // encKey));
        //        byte[] b = new byte[1000];
        //        inp.read(b, 0, 1000);
        //        String input = new String(b);
        //
        //        input = input.trim();
        //
        //        System.out.println(input);

        // TEST IF IT CAN READ VECTOR OBJECT FROM FILE

        ObjectInputStream objInp1 = new ObjectInputStream(
                new DecryptedInputStream(
                        new FileInputStream("test/vector1.enc"), encKey));

        System.out.println((Vector) objInp1.readObject());
        objInp1.close();

        //encKey.reset();
        //encKey.setKey(key);

        //        ObjectInputStream objInp2 =
        //            new ObjectInputStream(
        //                new DecryptedInputStream(new FileInputStream("test/vector2.enc"),
        // encKey));
        //
        //        System.out.println((Vector) objInp2.readObject());
        //        objInp2.close();
        //
        //        ObjectInputStream objInp3 =
        //            new ObjectInputStream(
        //                new DecryptedInputStream(new FileInputStream("test/vector3.enc"),
        // encKey));
        //
        //        System.out.println((Vector) objInp3.readObject());
        //        objInp3.close();

    }

}
