/**
 * Created on 06.12.2003 by Radu Coravu
 */
package ro.raducora.samples;

import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.xml.parsers.ParserConfigurationException;

import org.xml.sax.SAXException;

import ro.raducora.utils.io.Read;
import ro.raducora.utils.io.Write;

/**
 * @author Radu<br>
 * 
 * Created on 06.03.2004
 */
public class SampleClient {

  /**
   * @param args
   * @throws ParserConfigurationException
   * @throws SAXException
   * @throws IOException
   * @throws SQLException
   * @throws ClassNotFoundException
   */
  public static void main(String[] args) throws ParserConfigurationException, SAXException,
      IOException, SQLException, ClassNotFoundException {
    Class.forName("ro.raducora.utils.jdbc.Driver");
    Write.EXCEPTION = true;
    Write.DEBUG = true;
    String dbname = Read.Line("Enter db name:");
    String username = Read.Line("Enter username:");
    String pass = Read.Line("Enter password:");
    Connection conn = DriverManager
        .getConnection("jdbc:jabs://localhost/" + dbname, username, pass);
    Statement statement = conn.createStatement();

    while (true) {
      statement.execute(Read.Line("Enter SQL String"));
      if (statement.getResultSet() != null) {
        ResultSet rs = statement.getResultSet();
        System.out.println("" + rs);
      } else {
        System.out.println("" + statement.getUpdateCount());
      }
    }
  }
}
