/*
 * testConnClient.java
 * 
 * Copyright 2004 Coravu Publications All Rights Reserved.
 * 
 * This file is part of the DBAbstract Project.
 * 
 * The DBAbstract Project is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * The DBAbstract Project is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * the DBAbstract Project if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * http://www.raducora.ro
 * 
 * CONTACT: email = radu_coravu@sync.ro
 */
package ro.raducora.test;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * @author Radu
 * 
 * Created on 14.03.2004
 */
public class testConnClient {

  /**
   * @param args
   * @throws ClassNotFoundException
   * @throws SQLException
   */
  public static void main(String[] args) throws ClassNotFoundException, SQLException {
    Class.forName("ro.raducora.utils.jdbc.Driver");
    Connection connection = DriverManager.getConnection("jdbc:jabs://localhost/myforum", "", "");
    Statement statement1 = connection.createStatement();
    Statement statement2 = connection.createStatement();
    System.out.println(statement1.executeQuery("select * from postings"));
    statement1.close();
    //should throw exception
    try {
      System.out.println(statement1.executeQuery("select * from postings"));
    } catch (SQLException exe) {
      exe.printStackTrace();
    }
    //should work
    System.out.println(statement2.executeQuery("select * from postings"));
    connection.close();
    //should throw exception
    try {
      statement2 = connection.createStatement();
    } catch (SQLException exe) {
      exe.printStackTrace();
    }
  }
}
