package ro.raducora.test;

import java.util.Enumeration;
import java.util.Vector;

/**
 * @author Radu Coravu
 * 
 * Created on 29.02.2004
 */
public class testSpeed {

  /**
   * @param args
   * @throws Exception
   */
  public static void main(String[] args) throws Exception {
    Class.forName("ro.raducora.utils.jdbc.Driver");
    testDriverThread client = null;
    Vector clients = new Vector();
    Vector connectionSpeeds = new Vector();
    Vector querySpeeds = new Vector();
    int delay = 0;
    for (int i = 0; i < 50; i++) {
      client = new testDriverThread();
      client.setDelay(delay);
      delay +=400;
      client.start();
      clients.add(client);
    }

    Thread.sleep(30000);
    long averageConnSpeed = 0;
    long averageQuerySpeed = 0;
    Enumeration enum = clients.elements();
    while (enum.hasMoreElements()) {
      testDriverThread temp = (testDriverThread) enum.nextElement();
      connectionSpeeds.add(new Long(temp.getConnectionDelay()));
      averageConnSpeed += temp.getConnectionDelay();
      querySpeeds.add(new Long(temp.getQueryDelay()));
      averageQuerySpeed += temp.getQueryDelay();
    }

    System.out.println("Speed for Connection " + connectionSpeeds);
    System.out.println("Average Speed for Connection " + averageConnSpeed / clients.size());
    System.out.println("Speed for Query " + querySpeeds);
    System.out.println("Average Speed for Query " + averageQuerySpeed / clients.size());
    Thread.sleep(30000);

  }

}
